Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

cups-pk-helper-0.1.1-3.1 RPM for x86_64

From OpenSuSE 11.4 for x86_64

Name: cups-pk-helper Distribution: openSUSE 11.4
Version: 0.1.1 Vendor: openSUSE
Release: 3.1 Build date: Sat Feb 19 06:22:38 2011
Group: Hardware/Printing Build host: build11
Size: 92311 Source RPM: cups-pk-helper-0.1.1-3.1.src.rpm
Packager: http://bugs.opensuse.org
Url: http://www.vuntz.net/download/cups-pk-helper/
Summary: PolicyKit helper to configure cups with fine-grained privileges
This package provides a PolicyKit helper to configure cups with
fine-grained privileges. For example, it's possible to let users
enable/disable printers without requiring a password, while still
requiring a password for editing printer settings.

Provides

Requires

License

GPLv2+

Changelog

* Thu Jan 13 2011 vuntz@opensuse.org
  - Update to version 0.1.1:
    + Make the include/exclude schemes work when getting devices with
      cups 1.4
    + Fix confusion between IPP and HTTP status when getting/putting
      a file
    + Clarify a string.
    + Add some basic documentation.
    + Build system improvements.
    + First translations.
  - Drop cups-pk-helper-buildfix.patch: fixed upstream.
  - Create a lang subpackage, that is recommended by the main
    package.
* Mon Mar 22 2010 dimstar@opensuse.org
  - Add cups-pk-helper-buildfix.patch to fix build, taken from
    upstream.
* Tue Feb 16 2010 vuntz@opensuse.org
  - Update to version 0.1.0:
    + Port to PolicyKit 1.
    + Add DevicesGet method.
    + Add JobCancelPurge method.
    + Support adding printer without device URI.
    + Add check for string length in validity checks.
    + Improve performance of job-related methods.
    + Make sure to correctly handle all CUPS replies.
    + Avoid timeout on job-related methods for invalid jobs.
    + Always return a non-empty error string in case of failures.
    + Remove GTK+/GIO requirements.
    + Minor fixes and improvements in tests.
    + Code cleanups.
    + Build system improvements.
  - Change PolicyKit-devel BuildRequires to polkit-devel.
  - Add glib2-devel BuildRequires.
  - Remove gtk2-devel BuildRequires.
* Wed Mar 04 2009 vuntz@novell.com
  - Update to version 0.0.4:
    + Remove bare send_interface lines in the DBus rules.
    + Add job related functions.
    + Reconnect to the cups server if necessary.
    + Accept file: URI as local.
    + Change default policy for job-edit to yes (jobs are owned by
      the user).
    + Add more checks for the new job-related functions.
    + Code cleanups.
  - Drop cups-pk-helper-bnc468389-dbus-send-dest.patch: fixed
    upstream.
* Sat Feb 21 2009 vuntz@novell.com
  - Split from system-config-printer.

Files

/etc/dbus-1/system.d/org.opensuse.CupsPkHelper.Mechanism.conf
/usr/lib64/cups-pk-helper
/usr/lib64/cups-pk-helper/cups-pk-helper-mechanism
/usr/share/dbus-1/system-services/org.opensuse.CupsPkHelper.Mechanism.service
/usr/share/doc/packages/cups-pk-helper
/usr/share/doc/packages/cups-pk-helper/AUTHORS
/usr/share/doc/packages/cups-pk-helper/COPYING
/usr/share/doc/packages/cups-pk-helper/NEWS
/usr/share/doc/packages/cups-pk-helper/README
/usr/share/polkit-1/actions/org.opensuse.cupspkhelper.mechanism.policy


Generated by rpm2html 1.8.1

Fabrice Bellet, Mon Nov 10 11:47:42 2014